Name:           buildbot
Version:        0.8.12
%define slaveversion 0.8.12
Release:        %mkrel 3
Summary:        Build/test automation system
Group:          Development/Python
License:        GPLv2+
URL:            http://buildbot.net
Source0:        https://pypi.python.org/packages/source/b/%{name}/%{name}-%{version}.tar.gz
Source1:        https://pypi.python.org/packages/source/b/%{name}-slave/%{name}-slave-%{slaveversion}.tar.gz
Patch0:	        buildbot-req.patch
Patch1:	        fix-build.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  texinfo
Requires:       %{name}-master >= %{version}
Requires:       %{name}-slave >= %{slaveversion}

%description
The BuildBot is a system to automate the compile/test cycle required by
most software projects to validate code changes. By automatically
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are
inconvenienced by the failure.

%package        master
Summary:        buildbot master
Group:          Development/Python
Requires:       python-twisted >= 8.0.0
Requires:       python-twisted-web
Requires:       python-twisted-mail
Requires:       python-twisted-words
Requires:       python-twisted-conch
Requires:       python-jinja2 >= 2.1
Requires:       python-sqlalchemy
Requires:       python-sqlalchemy-migrate
Requires:       python-boto
Recommends:       %{name}-doc

%description    master
The BuildBot is a system to automate the compile/test cycle required by
most software projects to validate code changes. By automatically
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are
inconvenienced by the failure. 
This package contains only the buildmaster implementation.
The buildbot-slave package contains the buildslave.

%package        slave
Version:        %{slaveversion}
Summary:        buildbot slave
Group:          Development/Python
Requires:       python-twisted >= 8.0.0
Requires:       python-jinja2 >= 2.1

%description    slave
This package contains only the buildslave implementation.
The buildbot-master package contains the buildmaster.

%package        doc
Group:          Development/Python
License:        GPLv2+
Summary:        BuildBot documentation
%description    doc
Buildbot documentation.

%prep
%setup -q -b 1 -n %{name}-slave-%{slaveversion}
%setup -q
%autopatch -p0

%build
%py2_build

pushd docs
make docs.tgz
popd

pushd ../%{name}-slave-%{slaveversion}
%py2_build
popd

%install
%py2_install

mkdir -p %{buildroot}%{_datadir}/%{name}/ \
         %{buildroot}%{_mandir}/man1/ \
         %{buildroot}%{_docdir}/%{name}-%{version}

cp -R contrib %{buildroot}/%{_datadir}/%{name}/

# install the man page
cp docs/buildbot.1 %{buildroot}%{_mandir}/man1/buildbot.1

# install HTML documentation
tar xf docs/docs.tgz --strip-components=1 -C %{buildroot}%{_docdir}/%{name}-%{version}

# clean up Windows contribs.
sed -i 's/\r//' %{buildroot}/%{_datadir}/%{name}/contrib/windows/*
chmod -x %{buildroot}/%{_datadir}/%{name}/contrib/windows/*

# install slave
cd ../%{name}-slave-%{slaveversion}
%py2_install

# fix script-without-shebang
sed -i '1i#!/usr/bin/python' %{buildroot}%{_datadir}/%{name}/contrib/bk_buildbot.py

%files

%files          master
%doc %{_mandir}/man1/buildbot.1.xz
%doc COPYING CREDITS NEWS README UPGRADING
%{_bindir}/buildbot
%{python2_sitelib}/buildbot
%{_datadir}/%{name}
%{python2_sitelib}/buildbot-*egg-info

%files          doc
%{_docdir}/%{name}-%{version}

%files          slave
%doc COPYING NEWS README UPGRADING
%{_bindir}/buildslave
%{python2_sitelib}/buildslave
%{python2_sitelib}/buildbot_slave-*egg-info


%changelog
* Fri May 27 2016 tv <tv> 0.8.12-3.mga6
+ Revision: 1018869
- patch 1: fix building with new sphinx

* Fri Feb 19 2016 umeabot <umeabot> 0.8.12-2.mga6
+ Revision: 969937
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 philippem <philippem> 0.8.12-1.mga6
+ Revision: 883389
- update to 0.8.12, fix build-req patch
- update to 0.8.12

* Sat Jul 25 2015 philippem <philippem> 0.8.10-1.mga6
+ Revision: 857596
- update to 0.8.10

* Wed Oct 15 2014 umeabot <umeabot> 0.8.9-5.mga5
+ Revision: 743841
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.9-4.mga5
+ Revision: 725986
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 tv <tv> 0.8.9-3.mga5
+ Revision: 725000
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.9-2.mga5
+ Revision: 678244
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Jul 01 2014 philippem <philippem> 0.8.9-1.mga5
+ Revision: 641807
- update to 0.8.9

* Sat May 31 2014 pterjan <pterjan> 0.8.8-5.mga5
+ Revision: 628120
- Rebuild for new Python

* Mon Mar 17 2014 philippem <philippem> 0.8.8-4.mga5
+ Revision: 604499
- fix doc build

* Tue Oct 22 2013 umeabot <umeabot> 0.8.8-3.mga4
+ Revision: 542518
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.8.8-2.mga4
+ Revision: 497668
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 0.8.8-1.mga4
+ Revision: 471711
- update to 0.8.8

* Mon Jun 10 2013 philippem <philippem> 0.8.7p1-1.mga4
+ Revision: 441866
- adjust requires for python-dateutil
- adjust requires for python-dateutil

* Sat Jun 08 2013 philippem <philippem> 0.8.7p1-0.mga4
+ Revision: 440615
- upstream update and rebuild for python-dateutil dependency

* Fri Jan 11 2013 umeabot <umeabot> 0.8.7-3.mga3
+ Revision: 347220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 0.8.7-2.mga3
+ Revision: 296972
- correct list req

* Mon Sep 24 2012 fwang <fwang> 0.8.7-1.mga3
+ Revision: 296963
- new version 0.8.7

* Sat Sep 08 2012 philippem <philippem> 0.8.6p1-2.mga3
+ Revision: 290223
+ rebuild (emptylog)

* Tue Sep 04 2012 philippem <philippem> 0.8.6p1-1.mga3
+ Revision: 288103
- New upstream release

* Mon Oct 24 2011 philippem <philippem> 0.8.5-2.mga2
+ Revision: 157877
+ rebuild (emptylog)

* Mon Oct 24 2011 philippem <philippem> 0.8.5-1.mga2
+ Revision: 157742
- new upstream

* Tue Jul 12 2011 philippem <philippem> 0.8.4p1-3.mga2
+ Revision: 123055
+ rebuild (emptylog)

* Mon Jul 11 2011 philippem <philippem> 0.8.4p1-2.mga2
+ Revision: 122175
-fix require on python-sqlalchemy-migrate

* Mon Jul 04 2011 philippem <philippem> 0.8.4p1-1.mga2
+ Revision: 118139
- Update to 8.4
- add new requires (python-sqlalchemy)

* Sat Jun 11 2011 philippem <philippem> 0.8.3p1-1.mga2
+ Revision: 103857
-upstream update
-add master, slave and doc packages

* Thu Mar 17 2011 tv <tv> 0.8.0-3.mga1
+ Revision: 73377
- imported package buildbot

